---
title: /ingest-snapshot/customer-partitions
slug: amberflo-api/ingest-snapshotcustomer-partitions
docTags: 
createdAt: 2024-11-07T15:10:16.968Z
---

{
  "id": "3qNzcObX9leBPmlsJKp7w",
  "type": "api-oas-v2",
  "data": {
    "method": "POST",
    "url": "https://app.amberflo.io/ingest-snapshot/customer-partitions",
    "servers": [
      {
        "url": "https://app.amberflo.io/ingest-snapshot/customer-partitions"
      }
    ],
    "name": "",
    "description": "",
    "contentType": "application/json",
    "request": {
      "pathParameters": [],
      "headerParameters": [],
      "queryParameters": [],
      "bodyDataParameters": [
        {
          "kind": "optional",
          "name": "body",
          "type": "object",
          "description": "",
          "customType": "ingestion.s3_snapshot.meter_partitions.CustomerPartitionsRequest.in",
          "schema": [
            {
              "name": "customerIds",
              "kind": "optional",
              "type": "array",
              "example": "",
              "itemType": "string",
              "customType": "string[]",
              "itemExample": "",
              "itemDefault": ""
            },
            {
              "name": "timeInSeconds",
              "kind": "optional",
              "type": "integer<int64>",
              "example": 0
            },
            {
              "name": "meterApiName",
              "kind": "optional",
              "type": "string",
              "example": ""
            }
          ],
          "modelRef": "#/components/schemas/ingestion.s3_snapshot.meter_partitions.CustomerPartitionsRequest.in",
          "isExpanded": true
        }
      ],
      "formDataParameters": [],
      "oAuthParameters": [
        {
          "id": "apiKey",
          "name": "X-API-KEY",
          "kind": "optional",
          "type": "apiKey",
          "in": "header"
        }
      ]
    },
    "responses": [
      {
        "statusCode": "200",
        "description": "Successful request",
        "jsonExample": "",
        "isExpanded": true,
        "schema": [
          {
            "kind": "optional",
            "type": "object",
            "description": "",
            "customType": "ingestion.s3_snapshot.meter_partitions.CustomerPartitionsResponse.out",
            "schema": [
              {
                "name": "request",
                "kind": "optional",
                "type": "object",
                "description": "",
                "modelRef": "#/components/schemas/ingestion.s3_snapshot.meter_partitions.CustomerPartitionsRequest.out",
                "customType": "ingestion.s3_snapshot.meter_partitions.CustomerPartitionsRequest.out",
                "schema": [
                  {
                    "name": "customerIds",
                    "kind": "optional",
                    "type": "array",
                    "example": "",
                    "itemType": "string",
                    "customType": "string[]",
                    "itemExample": "",
                    "itemDefault": ""
                  },
                  {
                    "name": "timeInSeconds",
                    "kind": "optional",
                    "type": "integer<int64>",
                    "example": 0
                  },
                  {
                    "name": "meterApiName",
                    "kind": "optional",
                    "type": "string",
                    "example": ""
                  }
                ]
              },
              {
                "name": "customerPartitions",
                "kind": "optional",
                "type": "map",
                "example": "",
                "customType": "map<string, string>",
                "schema": []
              },
              {
                "name": "partitions",
                "kind": "optional",
                "type": "array",
                "example": "",
                "itemType": "string",
                "customType": "string[]",
                "itemExample": "",
                "itemDefault": ""
              }
            ],
            "modelRef": "#/components/schemas/ingestion.s3_snapshot.meter_partitions.CustomerPartitionsResponse.out",
            "isExpanded": true
          }
        ]
      }
    ],
    "examples": {
      "languages": [
        {
          "id": "0p3oMcW9XEc1FiteTxKa9",
          "language": "curl",
          "label": "cURL",
          "code": "curl --request POST \\\n     --url https://app.amberflo.io/ingest-snapshot/customer-partitions \\\n     --header 'accept: application/json'"
        },
        {
          "id": "oe2NzpO_UHVleRvmg9YVK",
          "language": "javascript",
          "label": "javascript",
          "code": "var myHeaders = new Headers();\nmyHeaders.append(\"accept\", \"application/json\");\nmyHeaders.append(\"content-type\", \"application/json\");\n\nvar requestOptions = {\n   method: 'POST',\n   headers: myHeaders,\n   redirect: 'follow'\n};\n\nfetch(\"https://app.amberflo.io/ingest-snapshot/customer-partitions\", requestOptions)\n   .then(response => response.text())\n   .then(result => console.log(result))\n   .catch(error => console.log('error', error));"
        },
        {
          "id": "xqLkvsh_exmSMP--EGr4L",
          "language": "ruby",
          "label": "Ruby",
          "code": "require \"uri\"\nrequire \"json\"\nrequire \"net/http\"\n\nurl = URI(\"https://app.amberflo.io/ingest-snapshot/customer-partitions\")\n\nhttps = Net::HTTP.new(url.host, url.port)\nhttps.use_ssl = true\n\nrequest = Net::HTTP::Post.new(url)\nrequest[\"accept\"] = \"application/json\"\nrequest[\"content-type\"] = \"application/json\"\n\nresponse = https.request(request)\nputs response.read_body\n"
        },
        {
          "id": "cwYrtj0nnFeD7eeIrIftk",
          "language": "python",
          "label": "Python",
          "code": "import requests\nimport json\n\nurl = \"https://app.amberflo.io/ingest-snapshot/customer-partitions\"\n\npayload = {}\nheaders = {\n   'accept': 'application/json',\n   'content-type': 'application/json'\n}\n\nresponse = requests.request(\"POST\", url, headers=headers, data=payload)\n\nprint(response.text)\n"
        }
      ],
      "selectedLanguageId": "0p3oMcW9XEc1FiteTxKa9"
    },
    "results": {
      "languages": [
        {
          "id": "response-0-200",
          "language": "200",
          "code": "// Successful request\n{\n  \"request\": {\n    \"customerIds\": [\n      \"\"\n    ],\n    \"timeInSeconds\": \"\",\n    \"meterApiName\": \"\"\n  },\n  \"customerPartitions\": \"\",\n  \"partitions\": [\n    \"\"\n  ]\n}"
        }
      ],
      "selectedLanguageId": "response-0-200"
    }
  },
  "children": [
    {
      "text": ""
    }
  ]
}